org.eclipse.rdf4j.query.algebra

## Class DescribeOperator

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.UnaryTupleOperator
    - - org.eclipse.rdf4j.query.algebra.DescribeOperator

- All Implemented Interfaces:
    Serializable, Cloneable, GraphPatternGroupable, QueryModelNode, TupleExpr, VariableScopeChange

      public class DescribeOperator
      extends UnaryTupleOperator

  Author:
    Jeen Broekstra
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.UnaryTupleOperator

      `arg`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescribeOperator(TupleExpr arg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<X extends Exception> void` | `visit(QueryModelVisitor<X> visitor)` Visits this node.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.UnaryTupleOperator

      `clone, equals, getArg, getAssuredBindingNames, getBindingNames, hashCode, replaceChildNode, setArg, visitChildren`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.GraphPatternGroupable

      `isGraphPatternGroup, setGraphPatternGroup`

- - ### Constructor Detail

    - #### DescribeOperator

          public DescribeOperator(TupleExpr arg)

  - ### Method Detail

    - #### visit

          public <X extends Exception> void visit(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Throws:
        `X extends Exception`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.